summaryrefslogtreecommitdiff
path: root/.local/bin/dwmbar/dwmb-cider
diff options
context:
space:
mode:
Diffstat (limited to '.local/bin/dwmbar/dwmb-cider')
-rwxr-xr-x.local/bin/dwmbar/dwmb-cider20
1 files changed, 20 insertions, 0 deletions
diff --git a/.local/bin/dwmbar/dwmb-cider b/.local/bin/dwmbar/dwmb-cider
new file mode 100755
index 0000000..ab9845e
--- /dev/null
+++ b/.local/bin/dwmbar/dwmb-cider
@@ -0,0 +1,20 @@
+#!/bin/sh
+
+icon=" "
+
+# # Will minimize the block if nothing is in that file
+# expand=$(test -s $HOME/.cache/dwmb-cider-min && echo true || echo false)
+
+
+
+case "$(playerctl status)" in
+ Paused) echo "$icon" ;;
+ Playing) echo "$icon $(cat ~/.config/Cider/Plugins/gh_525515699/dist/title.txt )" ;;
+ *) echo "" ;;
+esac
+
+case $BUTTON in
+ 1) killall sfeed_curses || st -t rss -e sfeed_curses $HOME/.sfeed/feeds/* ;;
+ 3) playerctl play-pause;;
+ 6) "$TERMINAL" -e "$EDITOR" "$0" ;;
+esac